MINIFLUX(1)

NAME
miniflux - Minimalist and opinionated feed reader

SYNOPSIS
miniflux [-vic] [-create-admin] [-debug] [-flush-sessions] [-info] [-migrate]
         [-reset-feed-errors] [-reset-password] [-version] [-config-file] [-config-dump]

DESCRIPTION
miniflux is a minimalist and opinionated feed reader.

OPTIONS

-c
    Load configuration file.

-config-file
    Load configuration file.

-config-dump
    Print parsed configuration values.

-create-admin
    Create admin user.

-debug
    Show debug logs.

-flush-sessions
    Flush all sessions (disconnect users).

-i
    Show application information.

-info
    Show application information.

-migrate
    Run SQL migrations.

-reset-feed-errors
    Clear all feed errors for all users.

-reset-password
    Reset user password.

-v
    Show application version.

-version
    Show application version.

CONFIGURATION FILE
The configuration file is a text file that follow these rules:

- Miniflux expects each line to be in KEY=VALUE format.
- Lines beginning with # are processed as comments and ignored.
- Blank lines are ignored.
- There is no variable interpolation.

Keys are the same as the environment variables described below.
Environment variables override the values defined in the config file.

ENVIRONMENT

DEBUG
    Set the value to 1 to enable debug logs.

LOG_DATE_TIME
    Display the date and time in log messages.

WORKER_POOL_SIZE
    Number of background workers (default is 5).

POLLING_FREQUENCY
    Refresh interval in minutes for feeds (default is 60 minutes).

BATCH_SIZE
    Number of feeds to send to the queue for each interval (default is 10).

DATABASE_URL
    Postgresql connection parameters.
    Default is "user=postgres password=postgres dbname=miniflux2 sslmode=disable".

DATABASE_MAX_CONNS
    Maximum number of database connections (default is 20).

DATABASE_MIN_CONNS
    Minimum number of database connections (default is 1).

LISTEN_ADDR
    Address to listen on. Default is 127.0.0.1:8080.
    Use absolute path to listen on Unix socket (/var/run/miniflux.sock).

PORT
    Override LISTEN_ADDR to 0.0.0.0:$PORT.

BASE_URL
    Base URL to generate HTML links and base path for cookies.
    Default is http://localhost/.

CLEANUP_FREQUENCY_HOURS
    Cleanup job frequency, remove old sessions and archive read entries.
    Default is 24 hours.

CLEANUP_ARCHIVE_READ_DAYS
    Number of days after marking read items as removed.
    Default is 60 days.

CLEANUP_REMOVE_SESSIONS_DAYS
    Number of days after removing old sessions from the database.
    Default is 30 days.

HTTPS
    Forces cookies to use secure flag and send HSTS header.

DISABLE_HSTS
    Disable HTTP Strict Transport Security header if HTTPS is set.

DISABLE_HTTP_SERVICE
    Set the value to 1 to disable the HTTP service.

DISABLE_SCHEDULER_SERVICE
    Set the value to 1 to disable the internal scheduler service.

CERT_FILE
    Path to SSL certificate.

KEY_FILE
    Path to SSL private key.

CERT_DOMAIN
    Use Let's Encrypt to get automatically a certificate for this domain.

CERT_CACHE
    Let's Encrypt cache directory (default is /tmp/cert_cache).

OAUTH2_PROVIDER
    OAuth2 provider to use. Only google is supported.

OAUTH2_CLIENT_ID
    OAuth2 client ID.

OAUTH2_CLIENT_SECRET
    OAuth2 client secret.

OAUTH2_REDIRECT_URL
    OAuth2 redirect URL.

OAUTH2_USER_CREATION
    Set to 1 to authorize OAuth2 user creation.

RUN_MIGRATIONS
    Set to 1 to run database migrations.

CREATE_ADMIN
    Set to 1 to create an admin user from environment variables.

ADMIN_USERNAME
    Admin user login, used only if CREATE_ADMIN is enabled.

ADMIN_PASSWORD
    Admin user password, used only if CREATE_ADMIN is enabled.

POCKET_CONSUMER_KEY
    Pocket consumer API key for all users.

PROXY_IMAGES
    Avoids mixed content warnings for external images: http-only, all, or none.
    Default is http-only.

HTTP_CLIENT_TIMEOUT
    Time limit in seconds before the HTTP client cancel the request.
    Default is 20 seconds.

HTTP_CLIENT_MAX_BODY_SIZE
    Maximum body size for HTTP requests in Mebibyte (MiB).
    Default is 15 MiB.

AUTHORS

Miniflux is written and maintained by Frédéric Guillot.

COPYRIGHT

Miniflux is released under the Apache 2.0 license.